--- a/cheese.spec	2019-01-15 05:47:59.243130118 +0300
+++ b/cheese.spec	2019-01-15 05:47:59.245130094 +0300
@@ -120,6 +120,11 @@
 %makeinstall_std
 
 %find_lang --with-gnome %name
+desktop-file-install --dir %buildroot%_desktopdir \
+	--add-category=Video \
+	--add-category=Recorder \
+	--add-category=GTK \
+	%buildroot%_desktopdir/cheese.desktop
 
 %check
 #xvfb-run %make check
--- a/devhelp.spec	2019-01-15 05:47:59.938121690 +0300
+++ b/devhelp.spec	2019-01-15 05:47:59.940121666 +0300
@@ -1,3 +1,4 @@
+BuildRequires: desktop-file-utils
 %define ver_major 3.8
 
 Name: devhelp
@@ -102,6 +103,10 @@
 mkdir -p %buildroot%_devhelpdir/{specs,books}
 
 %find_lang %name
+desktop-file-install --dir %buildroot%_desktopdir \
+	--add-category=Documentation \
+	--add-category=GTK \
+	%buildroot%_desktopdir/devhelp.desktop
 
 %files -f %name.lang
 %_bindir/*
--- a/faces.spec	2019-01-15 05:48:00.243117992 +0300
+++ b/faces.spec	2019-01-15 05:48:00.245117968 +0300
@@ -1,3 +1,4 @@
+BuildRequires: desktop-file-utils
 Name: faces
 Version: 1.7.7
 Release: alt6.1
@@ -75,6 +76,10 @@
 %make_install DESTDIR=%buildroot install
 install -pD -m644 faces.xpm %buildroot%_niconsdir/%name.xpm
 install -pD -m644 faces.desktop %buildroot%_desktopdir/%name.desktop
+desktop-file-install --dir %buildroot%_desktopdir \
+	--remove-category=Mail \
+	--add-category=Email \
+	%buildroot%_desktopdir/faces.desktop
 
 %files
 %_bindir/compface
--- a/foobnix.spec	2019-01-15 05:48:00.956109346 +0300
+++ b/foobnix.spec	2019-01-15 05:48:00.958109322 +0300
@@ -46,6 +46,11 @@
 
 %install
 python setup.py install --root=%{buildroot}
+desktop-file-install --dir %buildroot%_desktopdir \
+	--add-category=Audio \
+	--add-category=Player \
+	--add-category=GTK \
+	%buildroot%_desktopdir/foobnix.desktop
 
 %files
 %_bindir/%name
--- a/gconf-editor.spec	2019-01-15 05:48:01.434103549 +0300
+++ b/gconf-editor.spec	2019-01-15 05:48:01.436103524 +0300
@@ -1,3 +1,4 @@
+BuildRequires: desktop-file-utils
 %define ver_major 3.0
 
 Name: gconf-editor
@@ -41,6 +42,12 @@
 %make DESTDIR=%buildroot install
 
 %find_lang --with-gnome %name
+desktop-file-install --dir %buildroot%_desktopdir \
+	--remove-category=System \
+	--add-category=Settings \
+	--add-category=DesktopSettings \
+	--add-category=GTK \
+	%buildroot%_desktopdir/gconf-editor.desktop
 
 %post
 %gconf2_install %name
--- a/gnome-terminal.spec	2019-01-15 05:48:01.941097401 +0300
+++ b/gnome-terminal.spec	2019-01-15 05:48:01.942097388 +0300
@@ -74,6 +74,11 @@
 EOF
 
 %find_lang --with-gnome %name
+desktop-file-install --dir %buildroot%_desktopdir \
+	--remove-category=Utility \
+	--add-category=System \
+	--add-category=GTK \
+	%buildroot%_desktopdir/gnome-terminal.desktop
 
 %files -f %name.lang
 %_bindir/%name
--- a/gucharmap.spec	2019-01-15 05:48:02.125095170 +0300
+++ b/gucharmap.spec	2019-01-15 05:48:02.126095158 +0300
@@ -80,6 +80,10 @@
 %make_install DESTDIR=%buildroot install
 
 %find_lang --with-gnome %name
+desktop-file-install --dir %buildroot%_desktopdir \
+	--add-category=Accessibility \
+	--add-category=GTK \
+	%buildroot%_desktopdir/gucharmap.desktop
 
 %files -f %name.lang
 %_bindir/*
--- a/kicad.spec	2019-01-15 05:48:03.174082448 +0300
+++ b/kicad.spec	2019-01-15 05:48:03.175082436 +0300
@@ -63,6 +63,12 @@
 mkdir -p %buildroot%_libdir/%name/plugins/
 mv -f %buildroot/usr/lib/%name/plugins/ %buildroot%_libdir/%name/plugins/
 %endif
+desktop-file-install --dir %buildroot%_desktopdir \
+	--add-category=Engineering \
+	%buildroot%_desktopdir/kicad.desktop
+desktop-file-install --dir %buildroot%_desktopdir \
+	--add-category=Engineering \
+	%buildroot%_desktopdir/eeschema.desktop
 
 %files
 %_bindir/*
--- a/libreoffice.spec	2019-01-15 05:48:04.109071110 +0300
+++ b/libreoffice.spec	2019-01-15 05:48:04.131070844 +0300
@@ -1,3 +1,4 @@
+BuildRequires: desktop-file-utils
 %define lo_name libreoffice
 %define ver_major 3.6
 %define lo_ver %ver_major.6.1
@@ -305,6 +306,11 @@
 install -m644 $SRC_ROOT/libuno_sal.so.3 %buildroot%_libdir/%name/ure/lib/
 
 unset RPM_PYTHON
+desktop-file-install --dir %buildroot%_desktopdir \
+	--remove-category=Utility \
+	--add-category=Settings \
+	--add-category=Printing \
+	%buildroot%_desktopdir/printeradmin.desktop
 
 %files -f %name.files
 %config(noreplace) %_sysconfdir/sysconfig/%name
--- a/meld.spec	2019-01-15 05:48:05.087059250 +0300
+++ b/meld.spec	2019-01-15 05:48:05.088059238 +0300
@@ -1,3 +1,4 @@
+BuildRequires: desktop-file-utils
 %define ver_major 1.8
 
 Name: meld
@@ -51,6 +52,11 @@
 %make_install DESTDIR=%buildroot prefix=%_prefix install
 
 %find_lang %name --with-gnome
+desktop-file-install --dir %buildroot%_desktopdir \
+	--remove-category=Development \
+	--add-category=Utility \
+	--add-category=FileTools \
+	%buildroot%_desktopdir/meld.desktop
 
 %files -f %name.lang
 %_bindir/%name
--- a/remmina.spec	2019-01-15 05:48:08.634016238 +0300
+++ b/remmina.spec	2019-01-15 05:48:08.636016213 +0300
@@ -72,6 +72,10 @@
 
 %find_lang %name
 %find_lang %name-plugins
+desktop-file-install --dir %buildroot%_desktopdir \
+	--add-category=RemoteAccess \
+	--add-category=GTK \
+	%buildroot%_desktopdir/remmina.desktop
 
 %files -f %name.lang
 %doc AUTHORS ChangeLog README
--- a/seahorse.spec	2019-01-15 05:48:08.993011884 +0300
+++ b/seahorse.spec	2019-01-15 05:48:08.995011860 +0300
@@ -78,6 +78,11 @@
 %make_install install DESTDIR=%buildroot
 
 %find_lang %name --with-gnome
+desktop-file-install --dir %buildroot%_desktopdir \
+	--remove-category=Utility \
+	--add-category=Settings \
+	--add-category=GTK \
+	%buildroot%_desktopdir/seahorse.desktop
 
 %files -f %name.lang
 %_bindir/%name
--- a/tigervnc.spec	2019-01-15 05:48:10.088998594 +0300
+++ b/tigervnc.spec	2019-01-15 05:48:10.091998556 +0300
@@ -1,3 +1,4 @@
+BuildRequires: desktop-file-utils
 %define _deffontdir catalogue:%_sysconfdir/X11/fontpath.d
 
 Name: tigervnc
@@ -229,6 +230,9 @@
 popd
 
 %find_lang %name
+desktop-file-install --dir %buildroot%_desktopdir \
+	--add-category=RemoteAccess \
+	%buildroot%_desktopdir/vncviewer.desktop
 
 %files -f %name.lang
 %doc LICENCE.TXT
